
%global meadversion 5.5.5
%global namedversion 5.5.5.redhat-2
%global meadalpha .redhat_2
%global meadrel .1
%global serial 6
%global namedversionrel redhat-2

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package lucene-solr}
%{!?scl:%global pkg_name %{name}}

%define maven_version 5.5.5.redhat-2

Name:           %{?scl_prefix}lucene-solr
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Apache Lucene Core and Apache Solr
Group:          Development/Java

%if %with mead
Source100: lucene-solr-grandparent-5.5.5.redhat-2-project-sources.tar.gz
%endif

License:        ASL 2.0
URL:            http://lucene.apache.org
%if 0
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Lucene is a Java full-text search engine.  Lucene is not a complete
application, but rather a code library and API that can easily be used
to add search capabilities to applications.

%package -n %{?scl_prefix}lucene-core
Summary:        Lucene Core
Group:          Development/Java


%description -n %{?scl_prefix}lucene-core
Apache Lucene Java Core.

%package -n %{?scl_prefix}lucene-backward-codecs
Summary:        Lucene Memory
Group:          Development/Java


%description -n %{?scl_prefix}lucene-backward-codecs
Codecs for older versions of Lucene.

%package -n %{?scl_prefix}lucene-analyzers-common
Summary:        Lucene Common Analyzers
Group:          Development/Java


%description -n %{?scl_prefix}lucene-analyzers-common
Additional Analyzers.

%package -n %{?scl_prefix}lucene-facet
Summary:        Lucene Facets
Group:          Development/Java


%description -n %{?scl_prefix}lucene-facet
Package for Faceted Indexing and Search.

%package -n %{?scl_prefix}lucene-misc
Summary:        Lucene Miscellaneous
Group:          Development/Java


%description -n %{?scl_prefix}lucene-misc
Miscellaneous Lucene extensions.

%package -n %{?scl_prefix}lucene-queries
Summary:        Lucene Queries
Group:          Development/Java


%description -n %{?scl_prefix}lucene-queries
Lucene Queries Module.

%package -n %{?scl_prefix}lucene-queryparser
Summary:        Lucene QueryParsers
Group:          Development/Java


%description -n %{?scl_prefix}lucene-queryparser
Lucene QueryParsers module.

%package -n %{?scl_prefix}lucene-grouping
Summary:        Collectors for grouping search results
Group:          Development/Java


%description -n %{?scl_prefix}lucene-grouping
Collectors for grouping search results.

%prep
%setup -q -n lucene-solr-grandparent-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/lucene-analyzers-common-%{namedversion}.jar %{buildroot}%{_javadir}/lucene-analyzers-common-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/lucene-analyzers-common-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/lucene-analyzers-common-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/lucene-analyzers-common-%{namedversion}-sources.jar %{buildroot}%{_javadir}/lucene-analyzers-common-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/lucene-backward-codecs-%{namedversion}.jar %{buildroot}%{_javadir}/lucene-backward-codecs-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/lucene-backward-codecs-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/lucene-backward-codecs-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/lucene-backward-codecs-%{namedversion}-sources.jar %{buildroot}%{_javadir}/lucene-backward-codecs-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/lucene-core-%{namedversion}.jar %{buildroot}%{_javadir}/lucene-core-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/lucene-core-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/lucene-core-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/lucene-core-%{namedversion}-sources.jar %{buildroot}%{_javadir}/lucene-core-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/lucene-facet-%{namedversion}.jar %{buildroot}%{_javadir}/lucene-facet-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/lucene-facet-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/lucene-facet-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/lucene-facet-%{namedversion}-sources.jar %{buildroot}%{_javadir}/lucene-facet-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/lucene-misc-%{namedversion}.jar %{buildroot}%{_javadir}/lucene-misc-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/lucene-misc-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/lucene-misc-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/lucene-misc-%{namedversion}-sources.jar %{buildroot}%{_javadir}/lucene-misc-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/lucene-queries-%{namedversion}.jar %{buildroot}%{_javadir}/lucene-queries-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/lucene-queries-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/lucene-queries-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/lucene-queries-%{namedversion}-sources.jar %{buildroot}%{_javadir}/lucene-queries-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/lucene-queryparser-%{namedversion}.jar %{buildroot}%{_javadir}/lucene-queryparser-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/lucene-queryparser-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/lucene-queryparser-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/lucene-queryparser-%{namedversion}-sources.jar %{buildroot}%{_javadir}/lucene-queryparser-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/lucene-grouping-%{namedversion}.jar %{buildroot}%{_javadir}/lucene-grouping-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/lucene-grouping-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/lucene-grouping-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/lucene-grouping-%{namedversion}-sources.jar %{buildroot}%{_javadir}/lucene-grouping-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
#%%doc ../lucene/LICENSE.txt ../lucene/README.txt

%files -n %{?scl_prefix}lucene-core
%defattr(0644,root,root,0755)
#%%doc ../lucene/LICENSE.txt ../lucene/README.txt
%{_javadir}/lucene-core-%{namedversion}.jar
%{_javadir}/lucene-core.jar
%if %with javadoc
%{_javadir}/lucene-core-%{namedversion}-javadoc.jar
%{_javadir}/lucene-core-javadoc.jar
%endif
%{_javadir}/lucene-core-%{namedversion}-sources.jar
%{_javadir}/lucene-core-sources.jar

%files -n %{?scl_prefix}lucene-backward-codecs
%defattr(0644,root,root,0755)
%{_javadir}/lucene-backward-codecs-%{namedversion}.jar
%{_javadir}/lucene-backward-codecs.jar
%if %with javadoc
%{_javadir}/lucene-backward-codecs-%{namedversion}-javadoc.jar
%{_javadir}/lucene-backward-codecs-javadoc.jar
%endif
%{_javadir}/lucene-backward-codecs-%{namedversion}-sources.jar
%{_javadir}/lucene-backward-codecs-sources.jar

%files -n %{?scl_prefix}lucene-analyzers-common
%defattr(0644,root,root,0755)
#%%doc ../lucene/analysis/common/README.txt
%{_javadir}/lucene-analyzers-common-%{namedversion}.jar
%{_javadir}/lucene-analyzers-common.jar
%if %with javadoc
%{_javadir}/lucene-analyzers-common-%{namedversion}-javadoc.jar
%{_javadir}/lucene-analyzers-common-javadoc.jar
%endif
%{_javadir}/lucene-analyzers-common-%{namedversion}-sources.jar
%{_javadir}/lucene-analyzers-common-sources.jar

%files -n %{?scl_prefix}lucene-facet
%defattr(0644,root,root,0755)
%{_javadir}/lucene-facet-%{namedversion}.jar
%{_javadir}/lucene-facet.jar
%if %with javadoc
%{_javadir}/lucene-facet-%{namedversion}-javadoc.jar
%{_javadir}/lucene-facet-javadoc.jar
%endif
%{_javadir}/lucene-facet-%{namedversion}-sources.jar
%{_javadir}/lucene-facet-sources.jar

%files -n %{?scl_prefix}lucene-misc
%defattr(0644,root,root,0755)
#%%doc ../lucene/misc/README.txt
%{_javadir}/lucene-misc-%{namedversion}.jar
%{_javadir}/lucene-misc.jar
%if %with javadoc
%{_javadir}/lucene-misc-%{namedversion}-javadoc.jar
%{_javadir}/lucene-misc-javadoc.jar
%endif
%{_javadir}/lucene-misc-%{namedversion}-sources.jar
%{_javadir}/lucene-misc-sources.jar

%files -n %{?scl_prefix}lucene-queries
%defattr(0644,root,root,0755)
%{_javadir}/lucene-queries-%{namedversion}.jar
%{_javadir}/lucene-queries.jar
%if %with javadoc
%{_javadir}/lucene-queries-%{namedversion}-javadoc.jar
%{_javadir}/lucene-queries-javadoc.jar
%endif
%{_javadir}/lucene-queries-%{namedversion}-sources.jar
%{_javadir}/lucene-queries-sources.jar

%files -n %{?scl_prefix}lucene-queryparser
%defattr(0644,root,root,0755)
#%%doc ../lucene/queryparser/docs/surround/README.txt
%{_javadir}/lucene-queryparser-%{namedversion}.jar
%{_javadir}/lucene-queryparser.jar
%if %with javadoc
%{_javadir}/lucene-queryparser-%{namedversion}-javadoc.jar
%{_javadir}/lucene-queryparser-javadoc.jar
%endif
%{_javadir}/lucene-queryparser-%{namedversion}-sources.jar
%{_javadir}/lucene-queryparser-sources.jar

%files -n %{?scl_prefix}lucene-grouping
%defattr(0644,root,root,0755)
%{_javadir}/lucene-grouping-%{namedversion}.jar
%{_javadir}/lucene-grouping.jar
%if %with javadoc
%{_javadir}/lucene-grouping-%{namedversion}-javadoc.jar
%{_javadir}/lucene-grouping-javadoc.jar
%endif
%{_javadir}/lucene-grouping-%{namedversion}-sources.jar
%{_javadir}/lucene-grouping-sources.jar

%changelog
* Fri Mar 01 2024 Harsha Cherukuri <hcheruku@redhat.com> - 5.5.5-6.redhat_2.1
- Wrapper build 5.5.5.redhat-2

* Fri Mar 01 2024 Harsha Cherukuri <hcheruku@redhat.com> - 5.5.5-5.redhat_2.1
- Wrapper build 5.5.5.redhat-2

* Wed Feb 28 2024 cpaas-ops <cpaas-ops@redhat.com> - 5.5.5-4.redhat_2.1
- Built by CPaaS

* Fri Nov 16 2018 Permaine Cheung <pcheung@redhat.com> - 5.5.5-3.redhat_2.1
- Remove R: so that we can block grouping

* Fri Jul 06 2018 Permaine Cheung <pcheung@redhat.com> - 5.5.5-2.redhat_2.1
- Add lucene-grouping

* Tue Jun 12 2018 Permaine Cheung <pcheung@redhat.com> - 5.5.5-1.redhat_2.1
- Rewrap for 7.2.0

* Wed May 30 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 5.5.5-1.redhat_2.1
- upgrade to 5.5.5.redhat-2

* Wed May 02 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 5.3.1-5.redhat_3.1
- upgrade to 5.3.1.redhat-3

* Wed May 02 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 5.3.1-5.redhat_3.1
- upgrade to 5.3.1.redhat-3

* Tue Oct 17 2017 Petr Sakar <psakar@redhat.com> - 5.3.1-4.redhat_2.1
- upgrade to 5.3.1.redhat-2

* Wed Feb 03 2016 David Walluck <dwalluck@redhat.com> - 5.3.1-3.redhat_1.1
- fix Requires

* Wed Jan 20 2016 David Walluck <dwalluck@redhat.com> - 5.3.1-2.redhat_1.1
- add packages

* Wed Jan 06 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 5.3.1-1.redhat_1.1
- Upgrade to 5.3.1

* Mon Nov 23 2015 David Walluck <dwalluck@redhat.com> - 5.3.0-2.redhat_1.1
- add lucene-backward-codecs and lucene-misc

* Tue Oct 06 2015 David Walluck <dwalluck@redhat.com> - 5.3.0-1.redhat_1.1
- 5.3.0

* Tue Sep 01 2015 David Walluck <dwalluck@redhat.com> - 5.2.1-1.redhat_1.1
- 5.2.1

* Thu Jul 02 2015 David Walluck <dwalluck@redhat.com> - 4.10.4-2.redhat_1.1
- update Provides

* Wed Jun 10 2015 David Walluck <dwalluck@redhat.com> - 4.10.4-1.redhat_1.1
- fix rpm content

* Tue Jun 09 2015 David Walluck <dwalluck@redhat.com> - 4.10.4-1.redhat_1.1
- fix rpm build

* Tue Jun 09 2015 David Walluck <dwalluck@redhat.com> - 4.10.4-1.redhat_1.1
- build rpms

* Tue Jun 09 2015 David Walluck <dwalluck@redhat.com> - 4.10.4-1.redhat_1.1
- 4.10.4

* Fri Feb 20 2015 Paul Gier <pgier@redhat.com> - 3.6.2-5.redhat_8.1
- Fix dep versions in POM

* Wed Jan 07 2015 Paul Gier <pgier@redhat.com> - 3.6.2-4.redhat_7.1
- Minor POM fix for BZ-1162679

* Mon Nov 03 2014 David Stahl <dstahl@redhat.com> - 3.6.2-3.redhat_6.1
- Ship the sources.jar with the respective jar

* Mon Nov 03 2014 David Stahl <dstahl@redhat.com> - 3.6.2-2.redhat_6.1
- Install all artifacts but remove javadocs

* Thu Oct 30 2014 David Stahl <dstahl@redhat.com> - 3.6.2-1.redhat_6.1
- Apply the patches

* Thu Oct 30 2014 David Stahl <dstahl@redhat.com> - 3.6.2-1.redhat_6.1
- Apply the patches

* Thu Oct 30 2014 David Stahl <dstahl@redhat.com> - 3.6.2-1.redhat_6.1
- Apply the patches

* Thu Oct 30 2014 David Stahl <dstahl@redhat.com> - 3.6.2-1.redhat_6.1
- Apply the patches

* Thu Oct 30 2014 David Stahl <dstahl@redhat.com> - 3.6.2-1.redhat_6.1
- Apply the patches

* Thu Oct 30 2014 David Stahl <dstahl@redhat.com> - 3.6.2-1.redhat_6.1
- Apply the patches

* Thu Jan 19 2012 David Walluck <dwalluck@redhat.com> 0:4.2.0-3
- remove range from joda-time version (for Brew maven 2.x)
- fix requires for maven scriptlets
- fix duplicate ownership of %%{_mavenpomdir}
- fix main and sources file list
- change default file permissions
